PHP Handbuch
Zurück |  | Weiter

# http_post_fields

(PECL)

http_post_fields -- Perform POST request with data to be encoded

## Beschreibung

string http_post_fields ( string url [, array data [, array files [, array options [, array &info]]]] )

Performs an HTTP POST request on the supplied url.

See the full list of request options.

## Parameter Liste

`url`

  URL

`data`

  Associative array of POST values

`files`

  Array of files to post

`options`

  request options

`info`

  Request/response information

## Rückgabewerte

Returns the HTTP response(s) as string on success, or FALSE on failure.

## Beispiele

Beispiel 1. A http_post_fields() example
`<?php $fields = array( 'name' => 'mike', 'pass' => 'se_ret' ); $files = array( array( 'name' => 'uimg', 'type' => 'image/jpeg', 'file' => './profile.jpg', ) ); $response = http_post_fields("http://www.example.com/", $fields, $files); ?>`

Zurück | Zum Anfang | Weiter
http_post_data | Nach oben | http_put_data